@import url('https://fonts.googleapis.com/css2?family=Libre+Franklin:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    --background-color: linear-gradient(176deg, #f43737 0%, rgb(82 15 15) 100%);
    --background-color-light: #fff8f8;
    --text-color: #f43737;
    --text-color-light: #72727d;
}
*,p{
    padding:0;
    margin:0;
    font-family: "Poppins", serif;
    box-sizing: border-box;
}
.cursor-pointer{
    cursor:pointer;
}
.readmore_btn{
    background:var(--background-color);
    border:0;
    outline:0;
    color:#fff;
    padding:5px 20px;
    font-size:14px;
    border-radius:6px;
    margin-left:auto;
    margin-top:15px;
    display:block;
    transition: opacity .3s ease;
}
.readmore_btn:hover{
    opacity: .8;
}

.heading_div{
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    margin-top: 30px;
}
.heading_div h1{
    color: var(--text-color);
    text-shadow: 1px 1px rgba(0, 0, 0.1);
    font-weight: bold;
}

.heading_div{
    display: flex;
    justify-content: center;
}
.heading_div span{
    padding: 1px 25px;
    font-size: 18px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 6px;
    background: #fff;
    font-weight: normal;
    border-left: 3px solid;
    border-right: 3px solid;
    border-top: 1px solid;
    border-bottom: 1px solid;
    color: rgba(0, 0, 0, .2);
    background-image: linear-gradient(90deg, var(--text-color), var(--text-color));
    background-clip: text;
    background-size: 0% 100%;
    background-repeat: no-repeat;
    animation: scroll-reveal linear forwards;
    animation-timeline: view();
    animation-range-start: cover 10vh;
    animation-range-end: cover 30vh;
}
@keyframes scroll-reveal{
    from{
        border-color:rgba(0,0,0,.2);
        background-size:0%,100%;
    }
    to {
        border-color:var(--text-color);
        background-size:100%,100%;
    }
}